Bug 126949 - layout switcher switches back to original layout after clicking on a window
layout switcher switches back to original layout after clicking on a window
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-29 14:10 EDT by David Juran
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 05:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2004-06-29 14:10:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I have a 101 key us keyboard, but occasionally I write in swedish and
then I use the gnome-keyboard-applet to switch to the swedish layout.
However I noticed that after upgrading to FC2, the layout I select
with the applet doesn't stick. For instance if I select the swedish
keyboard and then move the mouse cursor into a mozilla-mail window,
the layout switches back to US kaymap. And right now, having focus in
the main mozilla window, the layout being swedish, and clicking on the
applet to change layout doesn't work, nothing is happening.

Version-Release number of selected component (if applicable):
gnome-applets-2.6.0-5

How reproducible:
Always

Steps to Reproduce:
1. add swedish keyboard layout
2. try switching to this layout by clicking the applet
3. try to move the cursor over diffent windows and screens and see if
it changes (which it in my opinion shouldn't)
4. Try switching layout by clicking on the applet and watch verify
that occasionally nothing happens.
    

Additional info:
Comment 1 Gerard Fernandes 2004-06-30 04:04:39 EDT
I have the same problem reproducible with EN-US (English-US) and PRT
(Portuguese) Keyboard layouts.

Combine this with the fact that keyboard layout switching is broken in
the KDE version provided with FC-2, we have a situation where keyboard
layout switching is broken in general.
Comment 2 David Juran 2004-06-30 05:33:06 EDT
Just wanted to point out that as a workaround, changing layout with
the command e.g.
setxkbmap se
still works.
Comment 3 Gerard Fernandes 2004-06-30 09:05:44 EDT
Thanks for the work-around David :)
Comment 4 Mark McLoughlin 2004-07-21 12:57:48 EDT
Yeah, I see this with gnome-applets-2.6.0-8. Apparently, this has been
fixed upstream recently. I'm going to do an FC2 update with 2.6.2 from
upstream soon and I'll ask you guys to try it out.
Comment 5 Mark McLoughlin 2004-07-22 12:24:06 EDT
Just pushed a testing update which may fix this:

http://www.redhat.com/archives/fedora-test-list/2004-July/msg00494.html

Appreciate if someone could try it out and confirm.
Comment 6 David Juran 2004-07-22 16:55:00 EDT
Well, the behaviour has changed some, but I still don't think it's
correct... If i switch to swedish keymap, and then drag the cursor
over a e.g. mozilla-mail, the keymap switches back to US. If I then
click the applet to make it switch back to swedish and then drag the
cursor over the same window, it now stays swedish. Seems like a have
to switch keymap once for each window. And I mean window and not
application. I just opened two gnome-term windows and I can set one to
use swedish and one US keymap...
Comment 7 Mark McLoughlin 2004-07-23 04:58:25 EDT
Okay, thanks for the info
Comment 8 David Kaplan 2004-09-13 20:43:01 EDT
Just wanted to mention that I have seen this also with FC2 and the
Spanish keyboard.  I have also found that dead keys do not work
properly with the Spanish keyboard.
Comment 9 David Juran 2004-11-25 13:11:56 EST
The is still an issue in gnome-applets-2.8.0-5 in FC3
Comment 10 David Juran 2006-06-06 05:30:30 EDT
After living with this issue for a long time I just discovered that in
gnome-applets-2.8.0-5 in the "keyboard indicator preferences" there is a check
box where you can tick "separate group for each window". Un-ticking that one
reverts to the original behaviour of having the keyboard layout not depending on
mouse focus.  So with other words, this probably isn't a bug after all although
this behaviour probably should be investigated from a usability perspective..

Note You need to log in before you can comment on or make changes to this bug.